New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

"Illegal instrunction" on "2017-07-05-raspbian-jessie-lite.img" #372

Closed
tahiro86j opened this Issue Oct 1, 2017 · 3 comments

Comments

Projects
None yet
3 participants
@tahiro86j

tahiro86j commented Oct 1, 2017

Shows an error message as in the title, at the end of curl-bash method for installation and when attempting to launch the program. I'm not exactly a programmer-guy, so please first let me know if there are any specific instructions on preferred methods for reproducing the condition to obtain the screen-output that you may be interested in.
FYI, screenshot I've managed to capture is posted here.

@tizonia

This comment has been minimized.

Show comment
Hide comment
@tizonia

tizonia Oct 1, 2017

Owner

Sorry to hear that. Unfortunately, Tizonia's Raspbian binaries only work on the Raspberry pi 2 and 3. They won't work on the 1 or 0 since they have the older armv6 cpu.

I think at some point, I had the intention to produce images for armv6 rpis but it kind of fell through the cracks.

Let's leave this bug open since the README.md should really explain this. Also I think I'll get those images built one of these days.

Owner

tizonia commented Oct 1, 2017

Sorry to hear that. Unfortunately, Tizonia's Raspbian binaries only work on the Raspberry pi 2 and 3. They won't work on the 1 or 0 since they have the older armv6 cpu.

I think at some point, I had the intention to produce images for armv6 rpis but it kind of fell through the cracks.

Let's leave this bug open since the README.md should really explain this. Also I think I'll get those images built one of these days.

@tizonia tizonia added this to the v0.10.0 milestone Oct 1, 2017

juanrubio added a commit that referenced this issue Oct 1, 2017

juanrubio added a commit that referenced this issue Oct 19, 2017

juanrubio added a commit that referenced this issue Oct 21, 2017

@juanrubio

This comment has been minimized.

Show comment
Hide comment
@juanrubio

juanrubio Oct 21, 2017

Collaborator

All right, it looks like I finally found the recipe that will produce the armv6-compatible packages.
See:

I'm releasing v0.10.0 this weekend and i think this will be the first release that works on pi zero and other armv6 pis.

Collaborator

juanrubio commented Oct 21, 2017

All right, it looks like I finally found the recipe that will produce the armv6-compatible packages.
See:

I'm releasing v0.10.0 this weekend and i think this will be the first release that works on pi zero and other armv6 pis.

@juanrubio juanrubio removed the enhancement label Oct 21, 2017

@juanrubio

This comment has been minimized.

Show comment
Hide comment
@juanrubio

juanrubio Oct 22, 2017

Collaborator

I believe this is fixed so I'm closing for now.

v0.10.0 binaries will be available from tonight, so we will re-open if necessary.

Collaborator

juanrubio commented Oct 22, 2017

I believe this is fixed so I'm closing for now.

v0.10.0 binaries will be available from tonight, so we will re-open if necessary.

@juanrubio juanrubio closed this Oct 22, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment